---
layout: docs
page_title: 'Commands: operator snapshot state'
description: |
  Displays a JSON representation of a Raft snapshot.
---

# Command: operator snapshot state

Displays a JSON representation of state in a raft snapshot on disk.

~> **Warning:** This is a low-level debugging tool and not subject to
  Nomad's usual backward compatibility guarantees.

## Usage

```plaintext
nomad operator snapshot state <file>
```

## Examples

The output of this command can be very large, so it's recommended that
you redirect the output to a file for later examination with other
tools.

```shell-session
$ nomad operator snapshot state backup.snap > ~/raft-state.json
$ jq . < ~/raft-state.json
```
